## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException Class Reference

`#include <XalanFStreamOutputStream.hpp>`

Inheritance diagram for XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException

Collaboration diagram for XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException:

List of all members.

## Public Methods

- XalanFStreamOutputStreamWriteException (int theErrorCode)
    Construct an XalanFStreamOutputStreamWriteException exception object for an exception that occurred while writing to a file stream. More...
- virtual ~XalanFStreamOutputStreamWriteException ()

## Constructor & Destructor Documentation

XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException::XalanFStreamOutputStreamWriteException ( | int theErrorCode )

Construct an XalanFStreamOutputStreamWriteException exception object for an exception that occurred while writing to a file stream.

Parameters:

  theErrorCode | number of error encountered

virtual XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException::~XalanFStreamOutputStreamWriteException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- XalanFStreamOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.